Errors when installing CAMB on Mac 10.11.4

Use of Healpix, camb, CLASS, cosmomc, compilers, etc.
Post Reply
Sebastian Grandis
Posts: 3
Joined: April 12 2016
Affiliation: Ludwig Maximilian University

Errors when installing CAMB on Mac 10.11.4

Post by Sebastian Grandis » April 12 2016

Dear Dr. Lewis,

first of all thank you for the python wrapper.

I was trying to install it on my personal notebook, by downloading it from https://github.com/cmbant/CAMB

going into the folder and typing 'make' gives the following error:

CAMB-master sebastiangrandis$ make
mkdir -p Release
gfortran -O3 -fopenmp -ffast-math -fmax-errors=4 -JRelease -IRelease/ -c utils.F90 -o Release/utils.o
/var/folders/br/6_zp93j94hq3kwnzk6ryfp_m0000gn/T//cczVb341.s:11890:suffix or operands invalid for `movq'
/var/folders/br/6_zp93j94hq3kwnzk6ryfp_m0000gn/T//cczVb341.s:11900:suffix or operands invalid for `movq'
/var/folders/br/6_zp93j94hq3kwnzk6ryfp_m0000gn/T//cczVb341.s:11905:suffix or operands invalid for `movq'
/var/folders/br/6_zp93j94hq3kwnzk6ryfp_m0000gn/T//cczVb341.s:12032:suffix or operands invalid for `movq'
/var/folders/br/6_zp93j94hq3kwnzk6ryfp_m0000gn/T//cczVb341.s:12294:suffix or operands invalid for `movq'
/var/folders/br/6_zp93j94hq3kwnzk6ryfp_m0000gn/T//cczVb341.s:12590:suffix or operands invalid for `movq'
/var/folders/br/6_zp93j94hq3kwnzk6ryfp_m0000gn/T//cczVb341.s:12606:suffix or operands invalid for `movq'
/var/folders/br/6_zp93j94hq3kwnzk6ryfp_m0000gn/T//cczVb341.s:12613:suffix or operands invalid for `movq'
/var/folders/br/6_zp93j94hq3kwnzk6ryfp_m0000gn/T//cczVb341.s:12748:suffix or operands invalid for `movq'
/var/folders/br/6_zp93j94hq3kwnzk6ryfp_m0000gn/T//cczVb341.s:13083:suffix or operands invalid for `movq'
make: *** [Release/utils.o] Error 1

The same error occurs when I try to install 'CAMB-devel' and 'forutils'

I am using gfortran --version
GNU Fortran (GCC) 6.0.0 20151213 (experimental)
Copyright (C) 2015 Free Software Foundation, Inc.

Any suggestion what might be going wrong

Best wishes
Sebastian

Antony Lewis
Posts: 1387
Joined: September 23 2004
Affiliation: University of Sussex
Contact:

Re: Errors when installing CAMB on Mac 10.11.4

Post by Antony Lewis » April 12 2016

Conflict between gcc installations?
http://stackoverflow.com/questions/3445 ... d-for-movq

Sebastian Grandis
Posts: 3
Joined: April 12 2016
Affiliation: Ludwig Maximilian University

Errors when installing CAMB on Mac 10.11.4

Post by Sebastian Grandis » April 13 2016

Thanks for the quick answer,
I will give it a try.

Robert Caldwell
Posts: 6
Joined: January 15 2005
Affiliation: Dartmouth College

Errors when installing CAMB on Mac 10.11.4

Post by Robert Caldwell » May 09 2016

Hi -- Any resolution on this issue? I got the same sort of compilation errors with gfortran 6.1 on El Capitan OSX. Instead, I uninstalled and put back gfortran 5.2 and it compiled fine.

Cheers,
Robert

Sebastian Grandis
Posts: 3
Joined: April 12 2016
Affiliation: Ludwig Maximilian University

Re: Errors when installing CAMB on Mac 10.11.4

Post by Sebastian Grandis » May 09 2016

Robert Caldwell wrote:Hi -- Any resolution on this issue? I got the same sort of compilation errors with gfortran 6.1 on El Capitan OSX. Instead, I uninstalled and put back gfortran 5.2 and it compiled fine.
Hi, thanks for the comments.

using fortran 5.2 instead of 6.0 really solves the problem. I was able to install everything without problem

Thanks again

Cheers

Claudio Nahmad
Posts: 6
Joined: January 14 2017
Affiliation: Facultad de Ciencias UNAM
Contact:

Errors when installing CAMB on Mac 10.11.4

Post by Claudio Nahmad » January 15 2017

Robert.

How did you uninstall gfortran? I'm having the same trouble but since I am new to mac I dont know how to uninstall .pkg's

If you could help me resolve this I would appreciate it very much.

Thanks

Staszek Dh
Posts: 1
Joined: August 26 2017
Affiliation: University of Warsaw

Re: Errors when installing CAMB on Mac 10.11.4

Post by Staszek Dh » August 26 2017

Sebastian Grandis wrote:
Robert Caldwell wrote:Hi -- Any resolution on this issue? I got the same sort of compilation errors with gfortran 6.1 on El Capitan OSX. Instead, I uninstalled and put back gfortran 5.2 and it compiled fine.
Hi, thanks for the comments.

using fortran 5.2 instead of 6.0 really solves the problem. I was able to install everything without problem

Thanks again

Cheers
Using 5.2 instead of 6.0 also worked for me!

Post Reply